[arch-commits] CVS update of extra/gnome/totem-plugin (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Dec 27 10:51:21 EST 2007


    Date: Thursday, December 27, 2007 @ 10:51:21
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/totem-plugin

Modified: PKGBUILD (1.23 -> 1.24)

upgpkg: totem-plugin 2.20.1-3
Build with new totem/plparse


----------+
 PKGBUILD |   38 ++++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 20 deletions(-)


Index: extra/gnome/totem-plugin/PKGBUILD
diff -u extra/gnome/totem-plugin/PKGBUILD:1.23 extra/gnome/totem-plugin/PKGBUILD:1.24
--- extra/gnome/totem-plugin/PKGBUILD:1.23	Fri Dec 21 07:07:17 2007
+++ extra/gnome/totem-plugin/PKGBUILD	Thu Dec 27 10:51:20 2007
@@ -1,43 +1,41 @@
-# $Id: PKGBUILD,v 1.23 2007/12/21 12:07:17 alexander Exp $
+# $Id: PKGBUILD,v 1.24 2007/12/27 15:51:20 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=totem-plugin
 pkgver=2.20.1
-pkgrel=2
+pkgrel=3
 url="http://www.hadess.net/totem.php3"
 pkgdesc="Totem mozilla/firefox plugin"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('totem>=2.20.1-2')
-makedepends=('perlxml' 'iso-codes' 'gnome-icon-theme>=2.20.0' 'xulrunner>=1.8.1.11' \
-             'gstreamer0.10-base' 'gstreamer0.10-gconf' 'gnome-doc-utils' 'pkgconfig' \
-	     'diffutils' 'libtool')
-options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.20/totem-${pkgver}.tar.bz2)
-md5sums=('6627727e7abd7a7f95257be8df6359a6')
+depends=('totem>=2.20.1-3')
+makedepends=('perlxml' 'iso-codes' 'gnome-icon-theme>=2.20.0' 'xulrunner>=1.8.1.11' 'gstreamer0.10-base' 'gstreamer0.10-gconf' 'gnome-doc-utils' 'pkgconfig' 'diffutils' 'libtool')
+options=('!libtool' '!emptydirs')
+source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.20/totem-${pkgver}.tar.bz2
+	totem-plparse.patch)
+md5sums=('6627727e7abd7a7f95257be8df6359a6' 'b2cc763a1d8166eb7532cd17b9f3fe05')
 	
 build() {
   [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh
 
   cd ${startdir}/src/totem-${pkgver}
+  patch -Np1 -i ${startdir}/src/totem-plparse.patch || return 1
+  rm -rf src/plparse
+  aclocal || return 1
+  autoconf || return 1
+  automake || return 1
+
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/totem \
               --localstatedir=/var --disable-static \
-	      --enable-mozilla --enable-gstreamer
+	      --enable-mozilla --enable-gstreamer || return 1
   make || return 1
   pushd browser-plugin || return 1
-  #make plugindir=${MOZ_PLUGIN_PATH} \
-  #     xptdir=${MOZ_PLUGIN_PATH} \
-  #     DESTDIR=${startdir}/pkg install
-
-  # temporarily use static plugin path from mozilla
-  # to ease the transition with havin 2 dirs in 
-  # MOZ_PLUGIN_PATH
   make plugindir=/usr/lib/mozilla/plugins \
        xptdir=/usr/lib/mozilla/plugins \
-       DESTDIR=${startdir}/pkg install
+       DESTDIR=${startdir}/pkg install || return 1
   popd
 
-  rm ${startdir}/pkg/usr/lib/totem/totem-plugin-viewer
-  rm -rf ${startdir}/pkg/usr/share
+  rm -f ${startdir}/pkg/usr/lib/totem/totem-plugin-viewer || return 1
+  rm -rf ${startdir}/pkg/usr/share || return 1
 }




More information about the arch-commits mailing list